Package org.apache.tomcat.buildutil.translate

## Class BackportBase

- java.lang.Object
- - org.apache.tomcat.buildutil.translate.BackportBase

Direct Known Subclasses:
  `BackportEnglish`, `BackportTranslations`

    public abstract class BackportBase
    extends Object

Base class providing common implementation for back-port utilities.

### Field Summary

Fields
`protected Properties` `sourceEnglish`
`protected Map<String,​Properties>` `sourceTranslations`
`protected File` `storageDir`
`protected Properties` `targetEnglish`
`protected File` `targetRoot`
`protected Map<String,​Properties>` `targetTranslations`

### Constructor Summary

Constructors
`protected` `BackportBase​(String... args)`

### Method Summary

All Methods Instance Methods Abstract Methods
`protected abstract void` `execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sourceTranslations

    protected final Map<String,​Properties> sourceTranslations

#### targetTranslations

    protected final Map<String,​Properties> targetTranslations

#### targetRoot

    protected final File targetRoot

#### sourceEnglish

    protected final Properties sourceEnglish

#### targetEnglish

    protected final Properties targetEnglish

#### storageDir

    protected final File storageDir

### Constructor Detail

#### BackportBase

    protected BackportBase​(String... args)
                    throws IOException

Throws:
  `IOException`

### Method Detail

#### execute

    protected abstract void execute()
                             throws IOException

Throws:
  `IOException`